BotsResource

Runs Ovok bots.

  • Stable unknown
  • Release candidate since 0.1.0-rc.4
  • Development since 0.1.0-dev.24+fa54770
public final class BotsResource

Runs Ovok bots. Get it from Ovok.bots().

Methods

execute

public JsonNode execute(String identifier, Object input) throws IOException, InterruptedException

Runs a bot (POST /bots?identifier=...).

Parameters:

  • identifier: the bot identifier
  • input: the bot input

Returns: the response body

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response
public JsonNode execute(
        String identifier,
        Object input,
        RequestOptions options) throws IOException, InterruptedException

Runs a bot (POST /bots?identifier=...).

Parameters:

  • identifier: the bot identifier
  • input: the bot input
  • options: per-request options, such as the timeout

Returns: the response body

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

Last updated on

On this page